[package]
name = "oden"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[features]
default = []
tracing = ["tracy-client/enable"]

[dependencies]
anyhow = "1.0"
bytemuck = { version = "1.13", features = ["derive"] }
env_logger = "0.10"
fontdue = "0.7.3"
image = { version = "0.24", default-features = false, features = ["png"] }
log = "0.4"
lru = "0.11.0"
notify = "6"
oden-js = { path = "oden-js" }
pollster = "0.3"
swc_common = "0.31.16"
swc_ecma_codegen = "0.141.10"
swc_ecma_parser = "0.136.7"
swc_ecma_transforms_base = "0.129.13"
swc_ecma_transforms_typescript = "0.179.18"
swc_ecma_visit = "0.92.5"
tracy-client = { version = "0.15.2", default-features = false }
wgpu = "0.17"
winit = "0.28"
